## org.apache.catalina.cluster.io
Interface ListenCallback

All Known Implementing Classes:
  ClusterReceiverBase, SocketReplicationThread

public interface ListenCallback

The listen callback interface is used by the replication system when data has been received. The interface does not care about objects and marshalling and just passes the bytes straight through.

Version:
  $Id: ListenCallback.java 939539 2010-04-30 01:31:33Z kkolinko $
Author:
  Filip Hanik, Peter Rossbach

Method Summary
`boolean` `isSendAck()` receiver must be send ack
`void` `messageDataReceived(ClusterData data)` This method is invoked on the callback object to notify it that new data has been received from one of the cluster nodes.
`void` `sendAck()` send ack

Method Detail

### messageDataReceived

    public void messageDataReceived(ClusterData data)

  This method is invoked on the callback object to notify it that new data has been received from one of the cluster nodes.

  Parameters:
    `data` - - the message bytes received from the cluster/replication system

### isSendAck

    public boolean isSendAck()

  receiver must be send ack

### sendAck

    public void sendAck()
                 throws java.io.IOException

  send ack

  Throws:
    `java.io.IOException`

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.